%define upstream_name 	 Net-Daemon
%define upstream_version 0.48

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Perl extension for portable daemons
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/J/JW/JWIED/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Net::Daemon is an abstract base class for implementing portable server
applications in a very simple way. The module is designed for Perl 5.005 and
threads, but can work with fork() and Perl 5.004.

The Net::Daemon class offers methods for the most common tasks a daemon needs:
Starting up, logging, accepting clients, authorization, restricting its own
environment for security and doing the true work. You only have to override
those methods that aren't appropriate for you, but typically inheriting will
safe you a lot of work anyways.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# don't work on the cluster
# %{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog META.yml README
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.480.0-2.mga3
+ Revision: 370565
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 10 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 67617
- update to 0.48

* Wed Mar 09 2011 jquelin <jquelin> 0.470.0-1.mga1
+ Revision: 67008
- update to 0.47

* Sat Feb 26 2011 jquelin <jquelin> 0.460.0-1.mga1
+ Revision: 60255
- update to 0.46

* Fri Jan 21 2011 jquelin <jquelin> 0.430.0-3.mga1
+ Revision: 29297
- rebuild
- mageia rebuild

* Tue Jan 18 2011 blino <blino> 0.430.0-2.mga1
+ Revision: 21796
- remove old version check

  + jquelin <jquelin>
    - imported package perl-Net-Daemon

